<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

Voir https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
pour la liste des collaborateurs.

Ce fichier est un élément de l'environnement d'édition XML-TEI
pour le logiciel XMLMind XML Editor de la société Pixware.

Cet environnement est régi par la licence CeCILL-C soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site http://www.cecill.info.

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée. Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme, le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard, l'attention de l'utilisateur est attirée sur les risques
associés au chargement, à l'utilisation, à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant des connaissances informatiques approfondies. Les
utilisateurs sont donc invités à charger et tester l'adéquation du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.

=========================================================================
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

See https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
for a list of collaborators.

This file is an element of the editing environment
for the software XMLMind XML Editor of Pixware society.

This software is governed by the CeCILL-C license under French law and
abiding by the rules of distribution of free software. You can use,
modify and/ or redistribute the software under the terms of the CeCILL-C
license as circulated by CEA, CNRS and INRIA at the following URL:
http://www.cecill.info.

As a counterpart to the access to the source code and rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty and the software's author, the holder of the
economic rights, and the successive licensors have only limited
liability.

In this respect, the user's attention is drawn to the risks associated
with loading, using, modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean that it is complicated to manipulate, and that also
therefore means that it is reserved for developers and experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or
data to be ensured and, more generally, to use and operate it in the
same conditions as regards security.

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-C license and that you accept its terms.
-->

<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xhtml="http://www.w3.org/TR/xhtml/strict"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aid="http://ns.adobe.com/AdobeInDesign/4.0/"
	xmlns:aid5="http://ns.adobe.com/AdobeInDesign/5.0/"
	xmlns:tei="http://www.tei-c.org/ns/1.0"
	xmlns="http://www.tei-c.org/ns/1.0"		
	exclude-result-prefixes="tei xhtml"
	>
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>

	<xsl:strip-space elements="*"/>

	<xsl:param name="directory"/>
	<xsl:param name="fileName"/>

	<xsl:template match="/">
		<xsl:for-each select="//tei:note[@type='apparat' or @type='test']">
			<xsl:variable name="localType">
				<xsl:value-of select="@type"/>
			</xsl:variable>    
			<xsl:variable name="nbNotes">
				<xsl:number count="tei:note[@type=$localType]" from="/" level="any"/>
			</xsl:variable>
			<xsl:if test="$nbNotes!='' and $nbNotes=1">
				<xsl:call-template name="docNotes">
					<xsl:with-param name="typeNotes">
						<xsl:value-of select="$localType"/>
					</xsl:with-param>
				</xsl:call-template>        
			</xsl:if>
		</xsl:for-each>
		<xsl:apply-templates/>
	</xsl:template>
	
	

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="tei:note[@type='apparat' or @type='test']">
		<xsl:variable name="currentType">
				<xsl:value-of select="@type"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$currentType='apparat'">
				<hi rend="sup" type="apparat" aid:cstyle="appel_AP"><xsl:value-of select="@n"/></hi>
			</xsl:when>
			<xsl:when test="$currentType='test'">
				<hi rend="sup" type="commentaire" aid:cstyle="appel_Te"><xsl:value-of select="@n"/></hi>
			</xsl:when>
			<xsl:otherwise><xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy></xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="docNotes">
		<xsl:param name="typeNotes"/>
<!--			   <xsl:variable name="prefix">
		<xsl:value-of select="substring-before($fileName,'.xml')"/>
		</xsl:variable>
			<xsl:result-document method="xml" href="{concat($directory,'/',$prefix,'_notes_',$typeNotes,'.xml')}">-->
<xsl:result-document method="xml" href="{$typeNotes}.xml">
			<TEI 
				xmlns="http://www.tei-c.org/ns/1.0"
				xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
				xmlns:xs="http://www.w3.org/2001/XMLSchema"
				xmlns:xinclude="http://www.w3.org/2001/XInclude"
				xmlns:ns="http://www.tei-c.org/ns/1.0"
				xmlns:hfp="http://www.w3.org/2001/XMLSchema-hasFacetAndProperty"
				xmlns:aid5="http://ns.adobe.com/AdobeInDesign/5.0/"
				xmlns:aid="http://ns.adobe.com/AdobeInDesign/4.0/">
				<teiHeader>
					<fileDesc>
						<titleStmt>
							<title><xsl:value-of select="//tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt/tei:title"/></title>
							<author>Marie Bisson</author>
						</titleStmt>
						<publicationStmt>
							<p>Fichier de notes "<xsl:value-of select="$typeNotes"/>"</p>
						</publicationStmt>
						<sourceDesc>
							<bibl>Référence bibliographique à la source</bibl>
						</sourceDesc>
					</fileDesc>
					<encodingDesc>
						<projectDesc>
							<p>Informations sur l'encodage.</p>
						</projectDesc>
					</encodingDesc>
					<revisionDesc>
						<change when="2014" who="MB">Transformation</change>
					</revisionDesc>
				</teiHeader>
				<text>
					<front>
					</front>
					<body>
						<div>
							<xsl:for-each select="//tei:div[@type='chapitre']">
								<p aid:pstyle="txt_Note_{$typeNotes}" n="{@xml:id}">
									<xsl:for-each select="descendant::tei:note">
										<xsl:if test="@type=$typeNotes">
											<note>
												<xsl:choose>
													<xsl:when test="$typeNotes='apparat'">
														<xsl:if test="@n!='α'"><xsl:text>&#x2003;&#160;|&#160;</xsl:text></xsl:if>
														<c aid:cstyle="reference_AP"><xsl:value-of select="@n"/></c><xsl:text>&#x2003;</xsl:text>
													</xsl:when>
													
													<xsl:when test="$typeNotes='test'">
														<c aid:cstyle="reference_Te">
															<xsl:if test="@n!='1'"><xsl:text>&#x2003;&#x2003;</xsl:text></xsl:if>
															<xsl:value-of select="@n"/></c><xsl:text>.&#x2003;</xsl:text>
													</xsl:when>
													<xsl:otherwise>
														<xsl:text>&#x2003;</xsl:text><xsl:value-of select="@n"/>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:text>&#160;</xsl:text><xsl:apply-templates/></note>
											</xsl:if>
										</xsl:for-each>
                                                                              </p><xsl:text>
</xsl:text>
								</xsl:for-each>
							</div>
						</body>
					</text>
				</TEI>
			</xsl:result-document>
		</xsl:template>



<xsl:template match="//tei:hi">
	<xsl:choose>
		<xsl:when test="@rend='italic'">
			<hi rend="italic" aid:cstyle="typo_Italic"><xsl:apply-templates/></hi>
		</xsl:when>
		<xsl:when test="@rend='small-caps'">
			<hi aid:cstyle="typo_SC" rend="small-caps"><xsl:apply-templates/></hi>
		</xsl:when>
		<xsl:when test="@rend='sup'">
			<hi aid:cstyle="typo_Exposant" rend="sup"><xsl:apply-templates/></hi>
		</xsl:when>
		<xsl:when test="@rend='bold'">
			<hi aid:cstyle="typo_Gras" rend="bold"><xsl:apply-templates/></hi>
		</xsl:when>
		<xsl:when test="@rend='sub'">
			<hi aid:cstyle="typo_Indice" rend="sub"><xsl:apply-templates/></hi>
		</xsl:when>
		<xsl:otherwise>
			<hi>
				<xsl:attribute name="rend"><xsl:value-of select="@rend"/></xsl:attribute>
				<xsl:attribute name="aid:cstyle">typo_<xsl:value-of select="@rend"/></xsl:attribute>
				<xsl:apply-templates/></hi>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
	</xsl:stylesheet>
