<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

Voir https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
pour la liste des collaborateurs.

Ce fichier est un élément de l'environnement d'édition XML-TEI
pour le logiciel XMLMind XML Editor de la société Pixware.

Cet environnement est régi par la licence CeCILL-C soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site http://www.cecill.info.

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée. Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme, le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard, l'attention de l'utilisateur est attirée sur les risques
associés au chargement, à l'utilisation, à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant des connaissances informatiques approfondies. Les
utilisateurs sont donc invités à charger et tester l'adéquation du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.

=========================================================================
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

See https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
for a list of collaborators.

This file is an element of the editing environment
for the software XMLMind XML Editor of Pixware society.

This software is governed by the CeCILL-C license under French law and
abiding by the rules of distribution of free software. You can use,
modify and/ or redistribute the software under the terms of the CeCILL-C
license as circulated by CEA, CNRS and INRIA at the following URL:
http://www.cecill.info.

As a counterpart to the access to the source code and rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty and the software's author, the holder of the
economic rights, and the successive licensors have only limited
liability.

In this respect, the user's attention is drawn to the risks associated
with loading, using, modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean that it is complicated to manipulate, and that also
therefore means that it is reserved for developers and experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or
data to be ensured and, more generally, to use and operate it in the
same conditions as regards security.

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-C license and that you accept its terms.
-->

<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xhtml="http://www.w3.org/TR/xhtml/strict"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:aid="http://ns.adobe.com/AdobeInDesign/4.0/"
	xmlns:aid5="http://ns.adobe.com/AdobeInDesign/5.0/"
	xmlns:tei="http://www.tei-c.org/ns/1.0"
	xmlns="http://www.tei-c.org/ns/1.0"		
	exclude-result-prefixes="tei"
	>
	<xsl:output method="xml" encoding="UTF-8" indent="no"/>

	<xsl:param name="notesfin" select="notesfin"/>
	<xsl:param name="figures" select="figures"/>

	<xsl:strip-space elements="*"/>

	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>



	<!-- <xsl:template match="@xml:id">
	<xsl:attribute name="id"><xsl:value-of select="."/></xsl:attribute>
	</xsl:template> -->

<!-- <xsl:template match="tei:p">
<xsl:copy>
<xsl:attribute name="aid:pstyle">txt_Normal</xsl:attribute>
<xsl:apply-templates/>
</xsl:copy>
</xsl:template> -->

<xsl:template match="tei:div[@type='chapitre']/tei:head"><xsl:text>
</xsl:text>
<xsl:copy>
<xsl:attribute name="aid:pstyle">T_1</xsl:attribute>		
<xsl:apply-templates/>
</xsl:copy>
</xsl:template>

<xsl:template match="tei:div[@type='chapitre']/tei:head[@rend='factice']"><xsl:text>
</xsl:text>
<xsl:copy>
<xsl:attribute name="aid:pstyle">T_1_Factice</xsl:attribute>		
<xsl:text>[</xsl:text><xsl:apply-templates/><xsl:text>]</xsl:text>
</xsl:copy>
</xsl:template>
	
	<!-- <xsl:template match="tei:div[@type='livre']/tei:head">
		<xsl:copy>
			<xsl:attribute name="aid:pstyle">T_Livre</xsl:attribute>
			<xsl:apply-templates/>
		</xsl:copy><xsl:text>
	</xsl:text>
</xsl:template> -->
	
	<xsl:template match="tei:div[@type='section1']">
		<div3>
			<xsl:attribute name="id">TH2.1</xsl:attribute>
			<xsl:apply-templates/>
		</div3>
	</xsl:template>

<xsl:template match="tei:div[@type='section1']/tei:head">
<xsl:copy>		
			<xsl:attribute name="aid:pstyle">T_a</xsl:attribute>		
			<xsl:apply-templates/>
</xsl:copy><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="tei:div[@type='section2']">
	<div4>
		<xsl:attribute name="id">TH3.1</xsl:attribute>
		<xsl:apply-templates/>
	</div4>
</xsl:template>
<xsl:template match="tei:div[@type='section2']/tei:head">
<xsl:copy>
		<xsl:attribute name="aid:pstyle">T_b</xsl:attribute>		
</xsl:copy>			
</xsl:template>


<xsl:template match="tei:div[@type='section3']">
	<div5>
		<xsl:attribute name="id">TH4.1</xsl:attribute>
		<xsl:apply-templates/>
	</div5>
</xsl:template>
<xsl:template match="tei:div[@type='section3']/tei:head">
<xsl:copy>
	<xsl:attribute name="aid:pstyle">T_c</xsl:attribute>		
	<xsl:apply-templates/>
</xsl:copy>			
</xsl:template>
<xsl:template match="tei:div[@type='section4']">
	<div5>
		<xsl:attribute name="id">TH5.1</xsl:attribute>
		<xsl:apply-templates/>
	</div5>
</xsl:template>
<xsl:template match="tei:div[@type='section4']/tei:head">
<xsl:copy>
	<xsl:attribute name="aid:pstyle">T_d</xsl:attribute>		
	<xsl:apply-templates/>
</xsl:copy>			
</xsl:template>

<xsl:template match="tei:list">
<list>
<xsl:apply-templates/>
</list><xsl:text>
</xsl:text>			
</xsl:template>

<!-- <xsl:template match="tei:list/tei:head">
<head>
<xsl:attribute name="aid:pstyle">T_Liste</xsl:attribute>
<xsl:apply-templates/>
</head><xsl:text>
</xsl:text>
</xsl:template> -->

<xsl:template match="tei:item">
<xsl:variable name="nbItem">
<xsl:number count="tei:item" from="parent" level="single"/>
</xsl:variable><xsl:text>
</xsl:text>
<item>
<xsl:element name="p">
<xsl:attribute name="aid:pstyle">txt_Liste</xsl:attribute>
<n type="n_liste" aid:cstyle="n_Liste"><xsl:text>[</xsl:text><xsl:value-of select="$nbItem"/><xsl:text>]</xsl:text></n><xsl:text> </xsl:text><xsl:apply-templates/>
</xsl:element>
</item><xsl:text>
</xsl:text>			
</xsl:template>


<xsl:template match="tei:item/tei:list"><xsl:text>
</xsl:text>
<list>
<xsl:apply-templates/>
</list>		
</xsl:template>

<xsl:template match="tei:item//tei:item">
	<xsl:variable name="nbItem">
		<xsl:number count="tei:item" from="parent" level="single"/>
	</xsl:variable>
<item>
<xsl:attribute name="aid:pstyle">txt_Sous_liste</xsl:attribute>
<n type="n_sousListe" aid:cstyle="n_sousListe"><xsl:text>[</xsl:text><xsl:value-of select="$nbItem"/><xsl:text>]</xsl:text></n><xsl:text> </xsl:text><xsl:apply-templates/>
</item><xsl:text>
</xsl:text>			
</xsl:template>


<xsl:template match="tei:note[@type='notice']/tei:p"><xsl:text>
</xsl:text>
<xsl:copy>
<xsl:attribute name="aid:pstyle">txt_Notice</xsl:attribute>
<xsl:apply-templates/>
</xsl:copy>
<xsl:for-each select="@n">
	<xsl:value-of select="@n"/>
</xsl:for-each>	
</xsl:template>

<!-- <xsl:template match="tei:note[@type='identification']/tei:p"><xsl:text>
</xsl:text>
<xsl:copy>
<xsl:attribute name="aid:pstyle">txt_Identification</xsl:attribute>
<xsl:apply-templates/>
</xsl:copy>
</xsl:template> -->

<xsl:template match="tei:note[@type='conservation']"><xsl:text>
</xsl:text>
<xsl:copy><xsl:attribute name="aid:pstyle">txt_Identification</xsl:attribute>	
<hi aid:cstyle="+">+ </hi><xsl:apply-templates/>
</xsl:copy>
</xsl:template>

<xsl:template match="tei:note[@type='attestation']"><xsl:text>
</xsl:text>
<xsl:copy><xsl:attribute name="aid:pstyle">txt_Identification</xsl:attribute>	
<hi aid:cstyle="•">• </hi><xsl:apply-templates/>
</xsl:copy>
</xsl:template>


<xsl:template match="tei:title[@type='oeuvre']">
<xsl:copy>
<xsl:attribute name="aid:cstyle">txt_Italic</xsl:attribute>		
<xsl:apply-templates/>
</xsl:copy>		
</xsl:template>

<xsl:template match="tei:table[not(ancestor::tei:table)]">
<xsl:element name="Tableau">
<xsl:attribute name="aid:table">table</xsl:attribute>
<xsl:attribute name="aid:tcols"><xsl:value-of select="@aid:tcols"/></xsl:attribute>			
<xsl:attribute name="aid:trows"><xsl:value-of select="count(./tei:row)"/></xsl:attribute>
<xsl:apply-templates/>
</xsl:element>
<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="tei:table">
<xsl:element name="Tableau">
<xsl:attribute name="aid:table">table</xsl:attribute>
<xsl:choose>
<xsl:when test="./parent::tei:cell">
<xsl:attribute name="aid5:tablestyle">
<xsl:text>tableau-enchasse</xsl:text>
</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="aid5:tablestyle">
<xsl:text>tableau-principal</xsl:text>
</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="aid:trows"><xsl:value-of select="count(./tei:row)"/></xsl:attribute>
<xsl:attribute name="aid:tcols"><xsl:value-of select="@aid:tcols"/></xsl:attribute>
<xsl:apply-templates/>
</xsl:element><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="tei:row">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="tei:cell">
<xsl:element name="Cellule">
<xsl:attribute name="aid:table">cell</xsl:attribute>
<xsl:choose>
<xsl:when test="./tei:table">
<xsl:attribute name="aid5:cellstyle">
<xsl:text>cellule-table</xsl:text>
</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="aid5:cellstyle">
<xsl:text>cellule-standard</xsl:text>
</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="aid:pstyle">Cellule</xsl:attribute>
<xsl:choose>
<xsl:when test="./*[1][self::tei:hi[@rend='bold']]">
<xsl:attribute name="aid:pstyle">tetiere</xsl:attribute>
</xsl:when>
<xsl:when test="./*[1][self::tei:hi[@rend='tetiere']]">
<xsl:attribute name="aid:pstyle">tetiere</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="aid:pstyle">texte-tab</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<xsl:attribute name="aid:crows">
<xsl:choose>
<xsl:when test="./@rows"><xsl:value-of select="./@rows"/></xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="aid:ccols">
<xsl:choose>
<xsl:when test="./@cols"><xsl:value-of select="./@cols"/></xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:apply-templates/>
</xsl:element>
</xsl:template>

<xsl:template match="tei:cell/tei:hi[@rend='bold']">
<xsl:element name="emph">
<xsl:attribute name="aid:cstyle">gras tableau</xsl:attribute>
<xsl:apply-templates select="./*|text()"/>
</xsl:element>
</xsl:template>

<xsl:template match="tei:cell/tei:hi[@rend='quae-tetiere']">
<xsl:apply-templates select="./*|text()"/>
</xsl:template>

<xsl:template match="tei:cell/tei:emph">
<xsl:element name="emph">
<xsl:attribute name="aid:cstyle">italique tableau</xsl:attribute>
<xsl:apply-templates select="./*|text()"/>
</xsl:element>
</xsl:template>

<xsl:template match="tei:cell/tei:hi[@rend='bold']/tei:emph">
<xsl:element name="emph">
<xsl:attribute name="aid:cstyle">italique gras tableau</xsl:attribute>
<xsl:apply-templates select="./*|text()"/>
</xsl:element>
</xsl:template>

<xsl:template match="tei:figure">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="tei:graphic">
<graphic href="{@url}"/>
</xsl:template>

<xsl:template match="tei:pb"></xsl:template>
<xsl:template match="tei:del"/>
<xsl:template match="tei:choice/tei:corr">
	<xsl:text>[</xsl:text><xsl:apply-templates/><xsl:text>]</xsl:text>
</xsl:template>
<xsl:template match="tei:choice/tei:sic"/>
<xsl:template match="tei:choice/tei:abbr"/>
<xsl:template match="tei:choice/tei:orig"/>
<xsl:template match="tei:choice/tei:am"/>
<xsl:template match="tei:note[@resp='Sg']"/>
<xsl:template match="tei:catchwords"/>
<xsl:template match="tei:fw"/>



<!-- <xsl:template match="tei:name[@type='personne']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<xsl:variable name="id2">
<xsl:value-of select="substring-after(@nymRef,'#')"/>
</xsl:variable>

<xsl:variable name="nomppal">
<xsl:if test="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']">
<hi rend="italic"><xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']" mode="index"/></hi>
</xsl:if>
</xsl:variable>

<index indexName="Anthroponymes">
<term>
<xsl:choose>
<xsl:when test="@nymRef">
<xsl:value-of select="$nomppal"/>
<xsl:text>, </xsl:text>
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:occupation[@xml:id=$id2]" mode="index"/><xsl:value-of select="$id"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$nomppal"/><xsl:value-of select="$id"/>
</xsl:otherwise>
</xsl:choose>
</term>
</index>
<xsl:apply-templates/>
</xsl:template>



<xsl:template match="tei:persName" mode="index">
<xsl:choose>
<xsl:when test="tei:surname">
<xsl:apply-templates select="tei:surname"  mode="index"/>
<xsl:if test="tei:nameLink"> (<xsl:apply-templates select="tei:nameLink"  mode="index"/>) </xsl:if>
<xsl:text>, </xsl:text>
<xsl:apply-templates select="tei:forename"  mode="index"/>
</xsl:when>
<xsl:otherwise>	<xsl:apply-templates select="node()|text()" mode="index"/></xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="tei:birth" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:death" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:occupation" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:note" mode="index"></xsl:template>

<xsl:template match="@*|*" mode="index">
<xsl:apply-templates select="node()|text()"/>
</xsl:template>

<xsl:template match="text()" mode="index">
<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="tei:name[@type='lieu']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<xsl:apply-templates select="document('indexLieux.xml')//tei:place[@xml:id=$id]"  mode="index"/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="tei:place" mode="index">
<xsl:choose>
<xsl:when test="ancestor::tei:place">
<index>
<xsl:attribute name="indexName">
<xsl:text>Toponymes:</xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
<xsl:text> (</xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:location" mode="index"/>
<xsl:text>) </xsl:text>
</xsl:attribute>
<term>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
</term>
</index>
</xsl:when>
<xsl:otherwise>
<index indexName="Toponymes">
<term>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
<xsl:text> (</xsl:text>
<xsl:apply-templates select="tei:location" mode="index"/>
<xsl:text>) </xsl:text>
</term>
</index>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="tei:location" mode="index">
<xsl:if test="tei:country">
<xsl:apply-templates select="tei:country" mode="index"/>
</xsl:if>
<xsl:if test="tei:region[@type='departement']">
<xsl:text>, dép. </xsl:text>
<xsl:apply-templates select="tei:region[@type='departement']" mode="index"/>
</xsl:if>
<xsl:if test="tei:region[@type='canton']">
<xsl:text>, cant. </xsl:text>
<xsl:apply-templates select="tei:region[@type='canton']" mode="index"/>
</xsl:if>
<xsl:if test="tei:settlement[@type='commune']">
<xsl:text>, comm. </xsl:text>
<xsl:apply-templates select="tei:settlement[@type='commune']" mode="index"/>
</xsl:if>
</xsl:template>



<xsl:template match="tei:term[@type='bibliotheconomie']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<index indexName="Vocabulaire des documents">
<term>
<xsl:apply-templates select="document('indexBibliotheconomie.xml')//tei:entry[@xml:id=$id]/tei:form/tei:orth[1]"  mode="index"/>
</term>
</index>
<xsl:apply-templates/>
</xsl:template>  -->
<xsl:template match="tei:name[@type='personne']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<xsl:variable name="id2">
<xsl:value-of select="substring-after(@nymRef,'#')"/>
</xsl:variable>
<xsl:variable name="nomppal">
<xsl:if test="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='fr']">
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='fr']" mode="index"/>
</xsl:if>
<xsl:if test="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']">
<xsl:text>, </xsl:text>
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']" mode="index"/>
</xsl:if>

</xsl:variable>
<xsl:choose>
<xsl:when test="@nymRef">
<index>
<xsl:attribute name="indexName"><xsl:text>Anthroponymes:</xsl:text><xsl:value-of select="$nomppal"/></xsl:attribute>
<term>
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:occupation[@xml:id=$id2]" mode="index"/>
</term>
</index>
</xsl:when>
<xsl:otherwise>
<index indexName="Anthroponymes">
<term>
<xsl:if test="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='fr']">
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='fr']" mode="index"/>
</xsl:if>
<xsl:if test="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']">
<xsl:text>, </xsl:text>
<xsl:apply-templates select="document('indexPersonnes.xml')//tei:person[@xml:id=$id]/tei:persName[@type='ppal' and @xml:lang='la']" mode="index"/>
</xsl:if>
</term>
</index>			
</xsl:otherwise>
</xsl:choose>		
<xsl:apply-templates/> 
</xsl:template>



<xsl:template match="tei:persName" mode="index">
<xsl:choose>
<xsl:when test="tei:surname">
<xsl:apply-templates select="tei:surname"  mode="index"/>
<xsl:if test="tei:nameLink"> (<xsl:apply-templates select="tei:nameLink"  mode="index"/>) </xsl:if>
<xsl:text>, </xsl:text>
<xsl:apply-templates select="tei:forename"  mode="index"/>
</xsl:when>
<xsl:otherwise>	<xsl:apply-templates select="node()|text()" mode="index"/></xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="tei:birth" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:death" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:occupation" mode="index">
<xsl:apply-templates select="node()|text()" mode="index"/>
</xsl:template>
<xsl:template match="tei:note" mode="index"></xsl:template>

<xsl:template match="@*|*" mode="index">
<xsl:apply-templates select="node()|text()"/>
</xsl:template>

<xsl:template match="text()" mode="index">
<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="tei:name[@type='lieu']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<xsl:apply-templates select="document('indexLieux.xml')//tei:place[@xml:id=$id]"  mode="index"/>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="tei:place" mode="index">
<xsl:choose>
<xsl:when test="ancestor::tei:place">
<index>
<xsl:attribute name="indexName">
<xsl:text>Toponymes:</xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
<xsl:text> (</xsl:text>
<xsl:apply-templates select="ancestor::tei:place/tei:location" mode="index"/>
<xsl:text>) </xsl:text>
</xsl:attribute>
<term>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
</term>
</index>
</xsl:when>
<xsl:otherwise>
<index indexName="Toponymes">
<term>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='fr']" mode="index"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="./tei:placeName[@type='ppal' and @xml:lang='la']" mode="index"/>
<xsl:text> (</xsl:text>
<xsl:apply-templates select="tei:location" mode="index"/>
<xsl:text>) </xsl:text>
</term>
</index>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="tei:location" mode="index">
<xsl:if test="tei:country">
<xsl:apply-templates select="tei:country" mode="index"/>
</xsl:if>
<xsl:if test="tei:region[@type='departement']">
<xsl:text>, dép. </xsl:text>
<xsl:apply-templates select="tei:region[@type='departement']" mode="index"/>
</xsl:if>
<xsl:if test="tei:region[@type='canton']">
<xsl:text>, cant. </xsl:text>
<xsl:apply-templates select="tei:region[@type='canton']" mode="index"/>
</xsl:if>
<xsl:if test="tei:settlement[@type='commune']">
<xsl:text>, comm. </xsl:text>
<xsl:apply-templates select="tei:settlement[@type='commune']" mode="index"/>
</xsl:if>
</xsl:template>


<xsl:template match="tei:title[@type='oeuvre']">
<xsl:variable name="id">
<xsl:value-of select="substring-after(@ref,'#')"/>
</xsl:variable>
<index indexName="Titres d’œuvres">
<term>
<xsl:if test="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:author">
<xsl:apply-templates select="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:author" mode="indexOeuvre"/>
<xsl:text>, </xsl:text>
</xsl:if>
<xsl:if test="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:title[@xml:lang='fr']">
<xsl:apply-templates select="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:title[@xml:lang='fr']"/>
</xsl:if>
<xsl:if test="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:title[@xml:lang='la']">
<xsl:text> – </xsl:text>
<xsl:value-of select="document('indexOeuvres.xml')//tei:bibl[@xml:id=$id]/tei:title[@xml:lang='la']"/>
</xsl:if>
</term>
</index>
<hi aid:cstyle="typo_Italique" rend="oeuvre"><xsl:apply-templates/></hi>
</xsl:template> 

<xsl:template match="tei:author/tei:name" mode="indexOeuvre"><xsl:value-of select="."/></xsl:template>
<xsl:template match="tei:note" mode="indexOeuvre"></xsl:template>

<xsl:template match="tei:date" mode="index"></xsl:template>
<!-- LES MOTS ÉTRANGERS -->
<xsl:template match="tei:foreign">

<xsl:copy>
<xsl:attribute name="aid:cstyle">typo_Italique</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>

</xsl:template>



<!-- LES références auteur-date-->
<xsl:template match="tei:ref[@type='bibref']">

<xsl:copy>
<xsl:attribute name="aid:cstyle">typo_SC</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>

</xsl:template>
<xsl:template match="tei:gap"><xsl:text>[…]</xsl:text>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="tei:hi">
<xsl:choose>
<xsl:when test="@rend='italic'">
<emph rend="italic" aid:cstyle="typo_Italic"><xsl:apply-templates/></emph>
</xsl:when>
<xsl:when test="@rend='small-caps'">
<hi aid:cstyle="typo_SC" rend="small-caps"><xsl:apply-templates/></hi>
</xsl:when>
<xsl:when test="@rend='sup'">
<hi aid:cstyle="typo_Exposant" rend="sup"><xsl:apply-templates/></hi>
</xsl:when>
<xsl:when test="@rend='bold'">
<hi aid:cstyle="typo_Gras" rend="bold"><xsl:apply-templates/></hi>
</xsl:when>
<xsl:when test="@rend='sub'">
<hi aid:cstyle="typo_Indice" rend="sub"><xsl:apply-templates/></hi>
</xsl:when>
<xsl:otherwise>
<hi>
<xsl:attribute name="rend"><xsl:value-of select="@rend"/></xsl:attribute>
<xsl:attribute name="aid:cstyle">typo_<xsl:value-of select="@rend"/></xsl:attribute>
<xsl:apply-templates/></hi>
</xsl:otherwise>
</xsl:choose>
</xsl:template>



</xsl:stylesheet>