<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

Voir https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
pour la liste des collaborateurs.

Ce fichier est un élément de l'environnement d'édition XML-TEI
pour le logiciel XMLMind XML Editor de la société Pixware.

Cet environnement est régi par la licence CeCILL-C soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site http://www.cecill.info.

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée. Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme, le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard, l'attention de l'utilisateur est attirée sur les risques
associés au chargement, à l'utilisation, à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant des connaissances informatiques approfondies. Les
utilisateurs sont donc invités à charger et tester l'adéquation du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.

=========================================================================
Copyright (c)
Pôle Document Numérique
Maison de la Recherche en Sciences Humaines
Université de Caen Normandie - Esplanade de la Paix, 14032, Caen, CEDEX 5
2009-2023

See https://www.unicaen.fr/recherche/mrsh/document_numerique/contacts
for a list of collaborators.

This file is an element of the editing environment
for the software XMLMind XML Editor of Pixware society.

This software is governed by the CeCILL-C license under French law and
abiding by the rules of distribution of free software. You can use,
modify and/ or redistribute the software under the terms of the CeCILL-C
license as circulated by CEA, CNRS and INRIA at the following URL:
http://www.cecill.info.

As a counterpart to the access to the source code and rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty and the software's author, the holder of the
economic rights, and the successive licensors have only limited
liability.

In this respect, the user's attention is drawn to the risks associated
with loading, using, modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean that it is complicated to manipulate, and that also
therefore means that it is reserved for developers and experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or
data to be ensured and, more generally, to use and operate it in the
same conditions as regards security.

The fact that you are presently reading this means that you have had
knowledge of the CeCILL-C license and that you accept its terms.
-->

<xsl:stylesheet
                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
                xmlns:rng="http://relaxng.org/ns/structure/1.0"
                xmlns:tei="http://www.tei-c.org/ns/1.0"
                xmlns:teix="http://www.tei-c.org/ns/Examples"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                exclude-result-prefixes="a rng tei teix"
                version="2.0">
	<!-- ###### bibli Structurée ###### -->
	<xsl:variable name="debug"/>
	<xsl:template match="tei:listBibl">
		<xsl:for-each select="tei:biblStruct">
						<xsl:sort select="descendant::tei:surname" order="ascending"/>
						<xsl:sort select="descendant::tei:date" order="ascending"/>
						<xsl:sort select="descendant::tei:title" order="ascending"/>
			<p class="bibref">
				<xsl:attribute name="id">
					<xsl:value-of select="substring-after(@sameAs,'items/')"/>
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:choose>
						<!-- monographie -->
						<xsl:when test="@type='book'">
							<xsl:value-of select="tei:monogr/@n"/>
						</xsl:when>
					</xsl:choose>
				</xsl:attribute>
				<xsl:apply-templates select="."/>
				<xsl:text> (</xsl:text>
				<a target="blank" href="{@sameAs}">
					<xsl:text>↗</xsl:text>
				</a>
				<xsl:text>).</xsl:text>
			</p>
		</xsl:for-each>
	</xsl:template>
	<!-- les monographies -->
	<xsl:template match="tei:biblStruct[@type='book']">
		<!-- les auteurs -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- éditeur -->
		<xsl:if test="not(tei:monogr/tei:author) and tei:monogr/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'nom_prenom'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='m']"/>
		</span>
		<xsl:text>, </xsl:text>
		<!-- éditeur scientifique-->
		<xsl:if test="tei:monogr/tei:author and tei:monogr/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'prenom_nom'"/>
			</xsl:call-template>
			<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- lieu de publication -->
		<xsl:if test="tei:monogr/tei:imprint/tei:pubPlace">
			<span class="place">
				<xsl:value-of select="tei:monogr/tei:imprint/tei:pubPlace"/>
			</span>
			<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- éditeur -->
		<xsl:if test="tei:monogr/tei:imprint/tei:publisher">
			<span class="publisher">
				<xsl:apply-templates select="tei:monogr/tei:imprint/tei:publisher"/>
			</span>
			<xsl:choose>
				<!-- collection -->
				<xsl:when test="tei:series/tei:title">
					<xsl:text> (</xsl:text>
					<span class="collection">
						<xsl:apply-templates select="tei:series/tei:title[@level='s']"/>
					</span>
					<xsl:if test="tei:series/tei:biblScope[@unit='volume']">
						<xsl:text> ; </xsl:text>
						<span class="collection_no">
							<xsl:apply-templates select="tei:series/tei:biblScope[@unit='volume']"/>
						</span>
					</xsl:if>
					<xsl:text>)</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<!-- les volumes -->
		<xsl:choose>
			<xsl:when test="tei:monogr/tei:biblScope[@unit='volume']">
				<xsl:variable name="nombre">
					<xsl:value-of select="translate(tei:monogr/tei:biblScope[@unit='volume'], '0123456789', '0000000000')"/>
				</xsl:variable>
				<xsl:variable name="debut">
					<xsl:choose>
						<xsl:when test="contains(tei:monogr/tei:biblScope[@unit='volume'], ' ')">
							<xsl:value-of select="substring-before(tei:monogr/tei:biblScope[@unit='volume'], ' ')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="tei:monogr/tei:biblScope[@unit='volume']"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="fin"><xsl:value-of select="substring-after(tei:monogr/tei:biblScope[@unit='volume'], ' : ')"/></xsl:variable>
				<xsl:variable name="romain">
					<xsl:number value="$debut" format="I"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="starts-with($nombre, '0')">
						<xsl:text>, </xsl:text>
						<span class="volume">
							<xsl:text>vol. </xsl:text>
							<xsl:value-of select="$romain"/>
							<xsl:if test="string-length($fin)&gt;0">
								<xsl:text>&#160;: </xsl:text>
								<em><xsl:value-of select="$fin"/></em>
							</xsl:if>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>, </xsl:text>
						<xsl:value-of select="tei:monogr/tei:biblScope[@unit='volume']"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="tei:monogr/tei:extent/tei:measure[@unit='volume']">
					<xsl:text>, </xsl:text>
				        <span class="volume">
						<xsl:apply-templates select="tei:monogr/tei:extent/tei:measure[@unit='volume']"/>
						<xsl:text> vol.</xsl:text>
					</span>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>
	</xsl:template>
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- les thèses -->
	<xsl:template match="tei:biblStruct[@type='thesis']">
		<!-- auteur -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='u']"/>
		</span>
		<xsl:text>, </xsl:text>
		<!-- type -->
		<xsl:if test="tei:monogr/tei:note[@type='memoire']">
		<span class="type">
			<xsl:apply-templates select="tei:monogr/tei:note[@type='memoire']"/>
		</span>
		<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- lieu de publication -->
		<xsl:if test="tei:monogr/tei:imprint/tei:pubPlace">
			<span class="place">
				<xsl:value-of select="tei:monogr/tei:imprint/tei:pubPlace"/>
			</span>
			<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- éditeur -->
		<xsl:if test="tei:monogr/tei:imprint/tei:publisher">
			<span class="publisher">
				<xsl:apply-templates select="tei:monogr/tei:imprint/tei:publisher"/>
			</span>
		</xsl:if>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>

</xsl:template>
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- les chapitres de livre -->
	<xsl:template match="tei:biblStruct[@type='bookSection']">
		<!-- auteur -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- éditeur -->
		<xsl:if test="not(tei:analytic/tei:author) and tei:analytic/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'nom_prenom'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="article">
			<xsl:text>« </xsl:text>
			<xsl:apply-templates select="tei:analytic/tei:title[@level='a']"/>
			<xsl:text> »</xsl:text>
		</span>
		<xsl:text>, in </xsl:text>
		<!-- titre de l’ouvrage collectif -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='m']"/>
		</span>
		<xsl:text>, </xsl:text>
		<!-- Auteur ou éditeur de l’ouvrage collectif -->
		<!-- auteur -->
		<xsl:if test="tei:monogr/tei:author or tei:monogr/tei:editor">
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'prenom_nom'"/>
		</xsl:call-template>
<xsl:if test="tei:monogr/tei:author">		<xsl:text> (dir.), </xsl:text>			</xsl:if>
		<!-- éditeur -->
		<xsl:if test="not(tei:monogr/tei:author) and tei:monogr/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'prenom_nom'"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:text>, </xsl:text>
	</xsl:if>
		<!-- lieu de publication -->
		<xsl:if test="tei:monogr/tei:imprint/tei:pubPlace">
			<span class="place">
				<xsl:value-of select="tei:monogr/tei:imprint/tei:pubPlace"/>
			</span>
			<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- éditeur -->
		<xsl:if test="tei:monogr/tei:imprint/tei:publisher">
			<span class="publisher">
				<xsl:value-of select="tei:monogr/tei:imprint/tei:publisher"/>
			</span>
			<xsl:choose>
				<!-- collection -->
				<xsl:when test="tei:series/tei:title">
					<xsl:text> (</xsl:text>
					<span class="collection">
						<xsl:apply-templates select="tei:series/tei:title[@level='s']"/>
					</span>
					<xsl:if test="tei:series/tei:biblScope[@unit='volume']">
						<xsl:text> ; </xsl:text>
						<span class="collection_no">
							<xsl:value-of select="tei:series/tei:biblScope[@unit='volume']"/>
						</span>
					</xsl:if>
					<xsl:text>)</xsl:text>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<!-- no du volume -->

		<xsl:if test="tei:monogr/tei:biblScope[@unit='volume']">
			<xsl:variable name="nombre">
				<xsl:value-of select="translate(tei:monogr/tei:biblScope[@unit='volume'], '0123456789', '0000000000')"/>
			</xsl:variable>
			<xsl:variable name="debut">
				<xsl:choose>
					<xsl:when test="contains(tei:monogr/tei:biblScope[@unit='volume'], ' ')">
						<xsl:value-of select="substring-before(tei:monogr/tei:biblScope[@unit='volume'], ' ')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="tei:monogr/tei:biblScope[@unit='volume']"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="fin"><xsl:value-of select="substring-after(tei:monogr/tei:biblScope[@unit='volume'], ' : ')"/></xsl:variable>
			<!--<xsl:variable name="finHTML"><xsl:value-of select="tei:monogr/tei:biblScope[@unit='volume']/tei:hi"/></xsl:variable>-->
			<xsl:variable name="romain">
				<xsl:number value="$debut" format="I"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="starts-with($nombre, '0')">

					<xsl:text>, vol. </xsl:text>
					<xsl:value-of select="$romain"/>
					<xsl:if test="string-length($fin)&gt;0">
					<xsl:text>&#160;: </xsl:text>
					<em><xsl:value-of select="$fin"/></em>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
										<xsl:text>, </xsl:text>
			<xsl:value-of select="tei:monogr/tei:biblScope[@unit='volume']"/>
		</xsl:otherwise>
		</xsl:choose>
		</xsl:if>
		<!-- pagination -->
		<xsl:if test="tei:monogr/tei:biblScope[@unit='page']">
			<xsl:text>, p. </xsl:text>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='page']"/>
		</xsl:if>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>
</xsl:template>

	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- les article de revue -->
	<xsl:template match="tei:biblStruct[@type='article']">
		<!-- auteur -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- éditeur -->
		<xsl:if test="not(tei:analytic/tei:author) and tei:analytic/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'nom_prenom'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="article">
			<xsl:text>« </xsl:text>
			<xsl:apply-templates select="tei:analytic/tei:title[@level='a']"/>
			<xsl:text> »</xsl:text>
		</span>
		<xsl:text>, </xsl:text>
		<!-- titre de l’ouvrage collectif -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='j']"/>
		</span>
		<xsl:text>, </xsl:text>
		<!-- Auteur ou éditeur de l’ouvrage collectif -->
		<!-- éditeur -->
		<xsl:if test="not(tei:monogr/tei:author) and tei:monogr/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'prenom_nom'"/>
			</xsl:call-template>
			<xsl:text>, </xsl:text>
		</xsl:if>
		<!-- no du volume -->
		<xsl:if test="tei:monogr/tei:biblScope[@unit='volume']">
			<xsl:variable name="nombre">
				<xsl:value-of select="translate(tei:monogr/tei:biblScope[@unit='volume'], '0123456789', '0000000000')"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="starts-with($nombre, '0')">
					<xsl:text>vol. </xsl:text>
					<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='volume']"/>
				</xsl:when>
				<xsl:otherwise>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='volume']"/>
		</xsl:otherwise>
		</xsl:choose>
		</xsl:if>
		<xsl:if test="tei:monogr/tei:biblScope[@unit='issue']">
			<xsl:text>, n</xsl:text>
			<sup>o</sup>
			<xsl:text> </xsl:text>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='issue']"/>
		</xsl:if>
		<!-- pagination -->
		<xsl:if test="tei:monogr/tei:biblScope[@unit='page']">
			<xsl:text>, p. </xsl:text>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='page']"/>
		</xsl:if>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>
</xsl:template>


	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- les article de dictionnaire -->
	<xsl:template match="tei:biblStruct[@type='dictionaryArticle']">
		<!-- auteur -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- éditeur -->
		<xsl:if test="not(tei:analytic/tei:author) and tei:analytic/tei:editor">
			<xsl:call-template name="authors_or_editors">
				<xsl:with-param name="author_or_editor_list" select="tei:analytic/tei:editor"/>
				<xsl:with-param name="type" select="'editor'"/>
				<xsl:with-param name="ordre" select="'nom_prenom'"/>
			</xsl:call-template>
		</xsl:if>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="article">
			<xsl:text>« </xsl:text>
			<xsl:apply-templates select="tei:analytic/tei:title[@level='a']"/>
			<xsl:text> »</xsl:text>
		</span>
		<xsl:text>, in </xsl:text>
		<!-- titre de l’ouvrage collectif -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='j']"/>
		</span>
		<xsl:text>, </xsl:text>
		<!-- Lieu de publication -->
		<xsl:if test="tei:monogr/tei:imprint/tei:pubPlace">
			<span class="place">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:pubPlace"/>
		</span>
		<xsl:text>, </xsl:text>
	</xsl:if>
	<!-- Publisher -->
	<xsl:if test="tei:monogr/tei:imprint/tei:publisher">
		<span class="publisher">
		<xsl:apply-templates select="tei:monogr/tei:imprint/tei:publisher"/>
	</span>
	<xsl:text>, </xsl:text>
</xsl:if>
		<!-- no du volume -->
		<xsl:if test="tei:monogr/tei:biblScope[@unit='volume']">
			<xsl:variable name="nombre">
				<xsl:value-of select="translate(tei:monogr/tei:biblScope[@unit='volume'], '0123456789', '0000000000')"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="starts-with($nombre, '0')">
					<xsl:text>vol. </xsl:text>
					<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='volume']"/>
				</xsl:when>
				<xsl:otherwise>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='volume']"/>
		</xsl:otherwise>
		</xsl:choose>
		</xsl:if>
		<!-- pagination -->
		<xsl:if test="tei:monogr/tei:biblScope[@unit='page']">
			<xsl:text>, p. </xsl:text>
			<xsl:apply-templates select="tei:monogr/tei:biblScope[@unit='page']"/>
		</xsl:if>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>
</xsl:template>

	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- ************************************************* -->
	<!-- les pages web -->
	<xsl:template match="tei:biblStruct[@type='webPage']">
		<!-- auteur -->
		<xsl:call-template name="authors_or_editors">
			<xsl:with-param name="author_or_editor_list" select="tei:monogr/tei:author"/>
			<xsl:with-param name="type" select="'author'"/>
			<xsl:with-param name="ordre" select="'nom_prenom'"/>
		</xsl:call-template>
		<!-- date -->
		<xsl:text> (</xsl:text>
		<span class="date">
			<xsl:apply-templates select="tei:monogr/tei:imprint/tei:date"/>
		</span>
		<xsl:text>), </xsl:text>
		<!-- titre -->
		<span class="oeuvre">
			<xsl:apply-templates select="tei:monogr/tei:title[@level='u']"/>
		</span>
	<xsl:text>, </xsl:text>
		<!-- Publisher -->
	<xsl:if test="tei:monogr/tei:imprint/tei:publisher">
		<span class="publisher">
		<xsl:apply-templates select="tei:monogr/tei:imprint/tei:publisher"/>
	</span>
</xsl:if>
		<!-- est-ce en ligne -->
		<xsl:if test="tei:ref[@type='URL']">
			<xsl:text>, consultable </xsl:text>
			<a><xsl:attribute name="target">_blank</xsl:attribute><xsl:attribute name="href"><xsl:value-of select="tei:ref[@type='URL']/@target"/></xsl:attribute>en ligne</a>
		</xsl:if>
</xsl:template>
<!-- ************************************************* -->
<!-- ************************************************* -->
<!-- ************************************************* -->

	<!-- gérer les noms d’auteurs et d’éditeurs -->
	<xsl:template name="authors_or_editors">
		<xsl:param name="author_or_editor_list"/>
		<xsl:param name="type"/>
		<xsl:param name="ordre"/>
		<!-- contrôle l'ordre : nom_prenom ou prenom_nom -->
		<xsl:variable name="max">
			<xsl:choose>
				<xsl:when test="$type='author'">
					<xsl:text>3</xsl:text>
				</xsl:when>
				<xsl:when test="$type='editor'">
					<xsl:text>2</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:message>Je comprends rien à qu'est-ce qu'i s'passe ici ?</xsl:message>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="count($author_or_editor_list) &gt; $max">
				<span class="{ $type }">
					<xsl:choose>
						<xsl:when test="$ordre='nom_prenom'">
							<span class="nom">
								<xsl:value-of select="$author_or_editor_list/tei:surname"/>
							</span>
							<xsl:text> </xsl:text>
							<span class="prenom">
								<xsl:value-of select="$author_or_editor_list/tei:forename"/>
							</span>
						</xsl:when>
						<xsl:when test="$ordre='prenom_nom'">
							<span class="prenom">
								<xsl:value-of select="$author_or_editor_list/tei:forename"/>
							</span>
							<xsl:text> </xsl:text>
							<span class="nom">
								<xsl:value-of select="$author_or_editor_list/tei:surname"/>
							</span>
						</xsl:when>
						<xsl:otherwise>
							<xsl:message>Quel ordre tu veux alors ?</xsl:message>
						</xsl:otherwise>
					</xsl:choose>
					<i> et al.</i>
				</span>
			</xsl:when>
			<xsl:when test="count($author_or_editor_list) = 0">
				<xsl:if test="$debug">
					<span class="small-caps">[Pas de <xsl:value-of select="$type"/>]</span>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="$author_or_editor_list">
					<span class="{ $type }">
						<xsl:choose>
							<xsl:when test="$ordre='nom_prenom'">
								<span class="nom">
									<xsl:value-of select="tei:surname"/>
								</span>
								<xsl:text> </xsl:text>
								<span class="prenom">
									<xsl:value-of select="tei:forename"/>
								</span>
							</xsl:when>
							<xsl:when test="$ordre='prenom_nom'">
								<span class="prenom">
									<xsl:value-of select="tei:forename"/>
								</span>
								<xsl:text> </xsl:text>
								<span class="nom">
									<xsl:value-of select="tei:surname"/>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<xsl:message>Quel ordre tu veux alors ?</xsl:message>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="position() != last()">
							<xsl:text>, </xsl:text>
						</xsl:if>
					</span>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="$type = 'editor' and count($author_or_editor_list) &gt; 0">
			<xsl:text> (éd.)</xsl:text>
		</xsl:if>
	</xsl:template>
	</xsl:stylesheet>
